Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159604 - pwMutex destroy failure: Device or resource busy
Summary: pwMutex destroy failure: Device or resource busy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-05 17:29 UTC by vasundhar
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-13 15:30:56 UTC


Attachments (Terms of Use)
bug file (deleted)
2005-06-05 17:31 UTC, vasundhar
no flags Details

Description vasundhar 2005-06-05 17:29:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
simple commands such as cd,ls are giving Mutex destroy error.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.list files command ls
2.
3.
  

Actual Results:  1.$]pwMutex destroy failure: Device or resource busy
2]ICE default IO error handler doing an exit(), pid = 6764, errno = 0

Additional info:

Comment 1 vasundhar 2005-06-05 17:31:34 UTC
Created attachment 115157 [details]
bug file

Comment 2 Ray Strode [halfline] 2005-06-06 14:38:37 UTC
Hi,

This sounds like a kernel or hardware problem.  I am going to reassign to the
kernel team.

Comment 3 Dave Jones 2005-07-08 22:29:13 UTC
Every instance of a <a href="
http://www.google.com/search?q=Mutex+destroy+failure&start=0&start=0&ie=utf-8&oe=utf-8&client=firefox-a&rls=org.mozilla:en-US:official">google
search for Mutex destroy failure</a> seems to point to KDE.

Why this happens with 'ls' I've no idea.

Whatever the case, this seems completely unrelated to kernel.



Comment 4 vasundhar 2005-07-12 10:10:38 UTC
it is not limited to 'ls' alone,
I saw this in xine, I saw this is cd I saw this happening in mount and also once
in 'nautilus .'

It seems to me that after completion of some operation I am encountering the
error immediately if I try to do same in the command line.

for example 
if I run psql, exit and try todo some other operation like gnu plot or bc , it
occurs
the same from python and consecutive operation and so on 

Comment 5 Ngo Than 2005-07-13 15:30:56 UTC
yes, it's a bug in kdelibs. It's now fixed in kdelibs-3.3.1-2.14.FC3, which
will be released next week. Many thanks for your report.

Comment 6 vasundhar 2005-07-14 12:21:15 UTC
No I used FC3 on 64 bit, 
Compaq system. 
Problem Persisted. 
 

Comment 7 Ngo Than 2005-07-14 12:29:44 UTC
you still have old kdelibs-3.3.1, which of course still has this issue!
The new kdelibs-3.3.1-2.14.FC3, which include this fix, will be released next week


Comment 8 vasundhar 2005-07-15 05:10:12 UTC
This I am encountering in Gnome Env. also

Comment 9 vasundhar 2005-07-15 05:11:00 UTC
This I am encountering in Gnome Env. also


Note You need to log in before you can comment on or make changes to this bug.